var PpTradingPass = (function(){
	var layout = $('#PpTradingPass'),
		confirmBtn = layout.find('.confirmBtn'),
		pwd = layout.find(':password'),
		closeBtn = layout.find('.pur5_mask_close');
		
	return {
		init: function(){
		},
		show: function(callBackFn){
			confirmBtn.unbind('click')
			.click(function(){
				callBackFn(pwd.val());
			});
				
			pwd.unbind('keypress')
			.keypress(function(e){
				if(e.keyCode == 13){
					callBackFn(pwd.val());
				}
			});
			pur5.Pages.alert(layout[0]);
			pwd.focus();
		},
		hide: function(){
			closeBtn.click();
		}
	}
})();